<div id="forgot-password" v-cloak>
  <div class="container-fluid pt-5 pb-5">
    <h1 class="text-center">Recuperar contraseña</h1>
    <div style="max-width:  450px;" class="mx-auto" v-if="!cloudSuccess">
      <p class="text-center">Ingrese su dirección de correo electrónico a continuación para restablecer la contraseña de su cuenta.</p>
      <hr/>
      <ajax-form action="sendPasswordRecoveryEmail" :syncing.sync="syncing" :cloud-error.sync="cloudError" :form-data="formData" :form-rules="formRules" :form-errors.sync="formErrors" @submitted="submittedForm()">
        <div class="form-group">
          <input type="email" name="email-address" class="form-control" placeholder="sturgeon@example.com" :class="[formErrors.emailAddress ? 'is-invalid' : '']" v-model.trim="formData.emailAddress" autocomplete="email" focus-first>
          <div class="invalid-feedback" v-if="formErrors.emailAddress">Por favor, introduzca una dirección de correo electrónico válida.</div>
        </div>
        <cloud-error v-if="cloudError"></cloud-error>
        <div class="form-group">
          <ajax-button type="submit" :syncing="syncing" class="btn btn-dark btn-lg btn-block">Enviar enlace de reinicio</ajax-button>
        </div>
      </ajax-form>
      <p class="text-center"><a href="/login">Regresar a Ingresar</a></p>
    </div>
    <div style="max-width:  450px;" class="mx-auto text-center" v-else>
      <p>Le hemos enviado un enlace para actualizar su contraseña.</p>
      <hr/>
      <p>Si el correo electrónico no llega después de unos minutos, intente revisar su carpeta de spam. Si todavía no puede encontrarlo, por favor inténtelo de nuevo, o <a href="/contact">contactar al soporte</a>.</p>
      <p class="text-center"><a class="btn btn-outline-primary" href="/login">Regresar a Ingresar</a></p>
    </div>
  </div>
</div>
<%- /* Expose locals as `window.SAILS_LOCALS` :: */ exposeLocalsToBrowser() %>
